# class Screen

#### package js.html

#### extends EventTarget

Available on HTML5

The `Screen` interface represents a screen, usually the one on which the current window is being rendered.

Documentation Screen by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Screen

### Variables

###

`read onlyavailHeight:Int`

###

`read onlyavailLeft:Int`

###

`read onlyavailTop:Int`

###

`read onlyavailWidth:Int`

###

`read onlycolorDepth:Int`

###

`read onlyheight:Int`

###

`read onlyleft:Int`

###

`read onlyorientation:ScreenOrientation`

###

`read onlypixelDepth:Int`

###

`read onlytop:Int`

###

`read onlywidth:Int`

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError